Dataset Maps
GET
/datasets/{dataset_id}/maps/
const url = 'https://example.com/api/datasets/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/maps/?skip=0&limit=50';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/datasets/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/maps/?skip=0&limit=50' \ --header 'Authorization: Bearer <token>'Return maps that contain this dataset, filtered by caller’s RBAC visibility.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” dataset_id
required
Dataset Id
string format: uuid
Query Parameters
Section titled “Query Parameters ” skip
Skip
integer
limit
Limit
integer
Responses
Section titled “ Responses ”Successful Response
Media type application/json
MapListResponse
object
maps
required
Maps
Array<object>
MapSummaryResponseobject
id
required
Id
string format: uuid
name
required
Name
string
visibility
required
MapVisibility
string
layer_count
required
Layer Count
integer
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
total
required
Total
integer
Example
{ "maps": [ { "visibility": "private" } ]}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}